// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.12.4
// source: bus/sei-document.proto

package bus

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type SEIDocument struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Xml string `protobuf:"bytes,20,opt,name=xml,proto3" json:"xml,omitempty"`
}

func (x *SEIDocument) Reset() {
	*x = SEIDocument{}
	if protoimpl.UnsafeEnabled {
		mi := &file_bus_sei_document_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SEIDocument) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SEIDocument) ProtoMessage() {}

func (x *SEIDocument) ProtoReflect() protoreflect.Message {
	mi := &file_bus_sei_document_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SEIDocument.ProtoReflect.Descriptor instead.
func (*SEIDocument) Descriptor() ([]byte, []int) {
	return file_bus_sei_document_proto_rawDescGZIP(), []int{0}
}

func (x *SEIDocument) GetXml() string {
	if x != nil {
		return x.Xml
	}
	return ""
}

var File_bus_sei_document_proto protoreflect.FileDescriptor

var file_bus_sei_document_proto_rawDesc = []byte{
	0x0a, 0x16, 0x62, 0x75, 0x73, 0x2f, 0x73, 0x65, 0x69, 0x2d, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65,
	0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x03, 0x62, 0x75, 0x73, 0x22, 0x1f, 0x0a,
	0x0b, 0x53, 0x45, 0x49, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x10, 0x0a, 0x03,
	0x78, 0x6d, 0x6c, 0x18, 0x14, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x78, 0x6d, 0x6c, 0x42, 0x5b,
	0x0a, 0x07, 0x63, 0x6f, 0x6d, 0x2e, 0x62, 0x75, 0x73, 0x42, 0x0b, 0x53, 0x45, 0x49, 0x44, 0x6f,
	0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x50, 0x01, 0x5a, 0x2f, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62,
	0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x68, 0x61, 0x64, 0x6f, 0x77, 0x79, 0x2f, 0x73, 0x65, 0x69,
	0x2f, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x2f, 0x67, 0x6f, 0x2d, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x2d,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x62, 0x75, 0x73, 0xa2, 0x02, 0x03, 0x4d, 0x58, 0x58, 0xaa,
	0x02, 0x03, 0x42, 0x75, 0x73, 0xca, 0x02, 0x03, 0x42, 0x75, 0x73, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_bus_sei_document_proto_rawDescOnce sync.Once
	file_bus_sei_document_proto_rawDescData = file_bus_sei_document_proto_rawDesc
)

func file_bus_sei_document_proto_rawDescGZIP() []byte {
	file_bus_sei_document_proto_rawDescOnce.Do(func() {
		file_bus_sei_document_proto_rawDescData = protoimpl.X.CompressGZIP(file_bus_sei_document_proto_rawDescData)
	})
	return file_bus_sei_document_proto_rawDescData
}

var file_bus_sei_document_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_bus_sei_document_proto_goTypes = []interface{}{
	(*SEIDocument)(nil), // 0: bus.SEIDocument
}
var file_bus_sei_document_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_bus_sei_document_proto_init() }
func file_bus_sei_document_proto_init() {
	if File_bus_sei_document_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_bus_sei_document_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SEIDocument); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_bus_sei_document_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_bus_sei_document_proto_goTypes,
		DependencyIndexes: file_bus_sei_document_proto_depIdxs,
		MessageInfos:      file_bus_sei_document_proto_msgTypes,
	}.Build()
	File_bus_sei_document_proto = out.File
	file_bus_sei_document_proto_rawDesc = nil
	file_bus_sei_document_proto_goTypes = nil
	file_bus_sei_document_proto_depIdxs = nil
}
